// After deleting this migration, also delete old_brain structs
// and dangling impls from the model
use std::error::Error;
use surreal_brain::{db, old_brain};

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    let old_brain_data = old_brain::BrainData::load_from_disk()?;
    // println!("{}", serde_yaml::to_string(&old_brain_data)?);

    let result = db::migration0(&old_brain_data).await?;

    println!("{result:?}");

    Ok(())
}
